## mx4j.tools.remote.soap.axis.ser
Class MBeanParameterInfoDeserFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseDeserializerFactory
              mx4j.tools.remote.soap.axis.ser.MBeanParameterInfoDeserFactory

All Implemented Interfaces:
  javax.xml.rpc.encoding.DeserializerFactory, org.apache.axis.encoding.DeserializerFactory, java.io.Serializable

public class MBeanParameterInfoDeserFactory
extends org.apache.axis.encoding.ser.BaseDeserializerFactory

Version:
  $Revision: 1.6 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`deserClass, deserClassConstructor, getDeserializer, javaType, xmlType`

Fields inherited from class org.apache.axis.encoding.ser.BaseFactory
`methodCache`

Constructor Summary
`MBeanParameterInfoDeserFactory(java.lang.Class javaType, javax.xml.namespace.QName xmlType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`createFactory, getDeserClassConstructor, getDeserializerAs, getGeneralPurpose, getGetDeserializer, getSpecialized, getSupportedMechanismTypes`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanParameterInfoDeserFactory

    public MBeanParameterInfoDeserFactory(java.lang.Class javaType,
                                          javax.xml.namespace.QName xmlType)

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.